      subroutine smplot(gmin,gmax,wvec,ne,ndex)
c
      include 'itg.par'
c
      dimension wvec(fno*nez,mz,nz,nspecz)
      include 'post.cmn'
c
      do 10 n=1,nd
      do 10 m=1,md
      do 10 i=1,ne
      if(gmax.lt.wvec(i,m,n,1)) gmax=wvec(i,m,n,1)
      if(gmin.gt.wvec(i,m,n,1)) gmin=wvec(i,m,n,1)
   10 continue
c
c      CALL PAGE (11.0,8.5)
c      CALL AREA2D (9.,6.)
c      if(ndex.eq.1) then
c      CALL HEADIN ('perpendicular kinetic energy of each harmonic $'
c     * ,100,1.3,1)
c      endif
c      if(ndex.eq.2) then
c      CALL HEADIN ('(perturbed pressure)**2 of each harmonic $'
c     * ,100,1.3,1)
c      endif
c      CALL XTICKS (5)
c      CALL XREVTK
c      CALL YTICKS (5)
c      CALL YREVTK
c      CALL XNAME ('time $',100)
c      CALL YNAME ('log base ten $',100)
c      CALL GRAF (timo(1),'scale',timo(ne),gmin,'scale',gmax)
c      CALL DFRAME
c      do 20 n=1,nd
c      do 20 m=1,md
c      CALL CURVE (timo,wvec(1,m,n),ne,0)
c   20 continue
c      CALL DENDPL(-1)

      return
      end
